Subject: Citrosa (Mosquito Fighter) information sought.

From: [email-masked] (Monica Sudds)
Date: Mon, 24 Jun 1996 15:06:07 GMT

I'm not a regular on this group, but figured it was the correct place
to ask my question.

I have recently been given a plant called Citrosa. According to the
pamphlet "it was genetically created by crossing tissue cultures of an
African Geranium with the Grass of China in steril laboratories. Every
plant is an exact reproduction of the first Citrosa Plant and
therefore will not flower or reproduce."

It also says "It is the grass that contains citronella oil......"

My problem is that I cannot find it in any of my literature on plants.
I raise exotic parrots and need to know if it is safe if ingested. The
pamphlet also says that the plant is completely harmless to you and
your family and non-allergenic. It does not state anything about
toxicity to pets, childrens and animals if ingested.

I would love to be able to use this plant in and around my aviary.
Aviculturists have an on-going problem with seed moths. It appears
that this plant keeps them away.

Please, help me. If possible send replies by email to:
[email-masked]

Otherwise, I will continue to check in here once in awhile to see if
there are any replies.

Thanks in advance.
Monica Sudds

===============================================================================
Monica Sudds CAS, Pres. Beakers Parrot Society,    Iowa State Coordinator for AFA
Beakers Exotics      [email-masked]              http://www.probe.net/~beakers/
3217 Italy Avenue       712) 642-4578 24 hr.              fax (712) 642-3710
Missouri Valley, IA 51555      (comments, questions and polite critisism welcome!)
===============================================================================